#include <cstring>
#include <string>
#include <unistd.h>
#include <fcntl.h>

#include "config.hh"

/*

    This program starts radio_tcp on remote host.
    It will pass the mp3 stream to stdout.

*/

static const string shellfix(const string &q)
{
    string diu;
    const char *s = q.c_str();
    while(*s)
    {
        if(*s=='\'')diu += "'\\''";
        else diu += *s;
        ++s;
    }
    return diu;
}

int main(void)
{
    string cmd = "cd '" + shellfix(Configuration.GetString("remote_dir")) + "';./radio_mp3";
    
    //dup2(open("/dev/null", O_WRONLY), 2);
    
    chdir("/");
    return execlp("ssh", "ssh", "-n", Configuration.GetString("ssh_user").c_str(), cmd.c_str(), NULL);
}
