<?php
//TITLE=Wave generator

$title = 'Wave generator';
$progname = 'wavegenerator';

function usagetext($prog)
{
  exec($prog.' --help 2>&1', $kk);
  $k='';foreach($kk as $s)$k.="$s\n";
  return $k;
}

$text = array(
   '1. Program list' => "

This package contains audio stream several tool programs.

", 'ff:1.1. ff' => "

Frequerency filter. Eats 16-bit mono stream and gives a nice
scrolling colourful ascii graph representing the frequerency
components of the audio. Try whistling. A nice toy.
It is my speech recognition investigation scratchpad.<br>
A screenshot is available at
<a href=\"http://oktober.stc.cx/source/erec.html\">erec page</a>.

", 'wg:1.1. wg' => "

Waveform generator and multiplexer.

<pre class=smallerpre>".htmlspecialchars(usagetext('wg'))."</pre>

", 'hum:1.1. hum' => "

Generates semiquiet stream. Useful if you want to keep
the mixer quiet (if your mixeridle if not so quiet).
Does not just output zero. Plain zero stream is hard
to analyze for LAME.

", '1. Requirements' => "

GNU make is probably required.<br>
ff requires <a href=\"http://www.fftw.org/\">rfftw</a>.

", '1. Installation' => "

<pre class=smallerpre
>\$ make
\$ su
# make install</pre>

If you do not want to install
<a href=\"http://oktober.stc.cx/source/libargh.html\">libargh</a>
(included in the archive), do not use \"make install\" and edit
Makefile and enable the STATIC linking instead of DYNAMIC.

", '1. Copying' => "

These tools have been written by Joel Yliluoma, a.k.a.
<a href=\"http://iki.fi/bisqwit/\">Bisqwit</a>,<br>
and are distributed under the terms of the
<a href=\"http://www.gnu.org/licenses/licenses.html#GPL\">General Public License</a> (GPL).

");
include '/WWW/progdesc.php';
