#ifndef _bisq_v6_h
#define _bisq_v6_h

#include "ff.h"
#include "fb.h"

#define V6_NUMBASE 1.0594630943592952645618252949463417

/* Number of notes to be analyzed. */
#define V6_COLS 58

#define V6_MINHERZ 136
#define V6_MAXHERZ 2000

#define V6_HZPOS(hz) (hz*N/FREQ)
#define V6_ADD 0
// ((V6_MAXHERZ-V6_MINHERZ)/V6_COLS+V6_MINHERZ)
 
#ifdef __cplusplus
extern "C"
#else
extern
#endif
Viewer V6;

//#if V6_COLS < V6_ANALYSOI
// #error Bug in v6.h (V6_COLS < V6_ANALYSOI)
//#endif

#endif	/* _bisq_v6_h defined */
